VULKAN_HPP_NAMESPACE::DebugMarkerObjectTagInfoEXT Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| DebugMarkerObjectTagInfoEXT (DebugReportObjectTypeEXT objectType_=DebugReportObjectTypeEXT::eUnknown, uint64_t object_=0, uint64_t tagName_=0, size_t tagSize_=0, const void *pTag_=nullptr)
| DebugMarkerObjectTagInfoEXT (VkDebugMarkerObjectTagInfoEXT const &rhs)
DebugMarkerObjectTagInfoEXT & | operator= (VkDebugMarkerObjectTagInfoEXT const &rhs)
DebugMarkerObjectTagInfoEXT & | setPNext (const void *pNext_)
DebugMarkerObjectTagInfoEXT & | setObjectType (DebugReportObjectTypeEXT objectType_)
DebugMarkerObjectTagInfoEXT & | setObject (uint64_t object_)
DebugMarkerObjectTagInfoEXT & | setTagName (uint64_t tagName_)
DebugMarkerObjectTagInfoEXT & | setTagSize (size_t tagSize_)
DebugMarkerObjectTagInfoEXT & | setPTag (const void *pTag_)
| operator VkDebugMarkerObjectTagInfoEXT const & () const
| operator VkDebugMarkerObjectTagInfoEXT & ()
bool | operator== (DebugMarkerObjectTagInfoEXT const &rhs) const
bool | operator!= (DebugMarkerObjectTagInfoEXT const &rhs) const

## Data Fields

const void * | pNext = nullptr
DebugReportObjectTypeEXT | objectType
uint64_t | object
uint64_t | tagName
size_t | tagSize
const void * | pTag

## Private Attributes

StructureType | sType = StructureType::eDebugMarkerObjectTagInfoEXT

## Detailed Description

Definition at line 29924 of file vulkan.hpp.

## Constructor & Destructor Documentation

## DebugMarkerObjectTagInfoEXT() [1/2]

VULKAN_HPP_NAMESPACE::DebugMarkerObjectTagInfoEXT::DebugMarkerObjectTagInfoEXT | ( | DebugReportObjectTypeEXT | objectType_ = `DebugReportObjectTypeEXT::eUnknown`,
|  | uint64_t | object_ = `0`,
|  | uint64_t | tagName_ = `0`,
|  | size_t | tagSize_ = `0`,
|  | const void * | pTag_ = `nullptr`
| ) |  |

inline

Definition at line 29926 of file vulkan.hpp.

: objectType( objectType_ )
, object( object_ )
, tagName( tagName_ )
, tagSize( tagSize_ )
, pTag( pTag_ )
{
}

## DebugMarkerObjectTagInfoEXT() [2/2]

VULKAN_HPP_NAMESPACE::DebugMarkerObjectTagInfoEXT::DebugMarkerObjectTagInfoEXT | ( | VkDebugMarkerObjectTagInfoEXT const & | rhs | ) |

inline

Definition at line 29939 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DebugMarkerObjectTagInfoEXT ) );
}

References memcpy.

## Member Function Documentation

## operator VkDebugMarkerObjectTagInfoEXT &()

VULKAN_HPP_NAMESPACE::DebugMarkerObjectTagInfoEXT::operator VkDebugMarkerObjectTagInfoEXT & | ( |  | ) |

inline

Definition at line 29990 of file vulkan.hpp.

{
return *reinterpret_cast<VkDebugMarkerObjectTagInfoEXT*>(this);
}

## operator VkDebugMarkerObjectTagInfoEXT const &()

VULKAN_HPP_NAMESPACE::DebugMarkerObjectTagInfoEXT::operator VkDebugMarkerObjectTagInfoEXT const & | ( |  | ) | const

inline

Definition at line 29985 of file vulkan.hpp.

{
return *reinterpret_cast<const VkDebugMarkerObjectTagInfoEXT*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::DebugMarkerObjectTagInfoEXT::operator!= | ( | DebugMarkerObjectTagInfoEXT const & | rhs | ) | const

inline

Definition at line 30006 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

DebugMarkerObjectTagInfoEXT& VULKAN_HPP_NAMESPACE::DebugMarkerObjectTagInfoEXT::operator= | ( | VkDebugMarkerObjectTagInfoEXT const & | rhs | ) |

inline

Definition at line 29944 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DebugMarkerObjectTagInfoEXT ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::DebugMarkerObjectTagInfoEXT::operator== | ( | DebugMarkerObjectTagInfoEXT const & | rhs | ) | const

inline

Definition at line 29995 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( objectType == rhs.objectType )
&& ( object == rhs.object )
&& ( tagName == rhs.tagName )
&& ( tagSize == rhs.tagSize )
&& ( pTag == rhs.pTag );
}

References object, objectType, pNext, pTag, sType, tagName, and tagSize.

Referenced by operator!=().

## setObject()

DebugMarkerObjectTagInfoEXT& VULKAN_HPP_NAMESPACE::DebugMarkerObjectTagInfoEXT::setObject | ( | uint64_t | object_ | ) |

inline

Definition at line 29961 of file vulkan.hpp.

{
object = object_;
return *this;
}

## setObjectType()

DebugMarkerObjectTagInfoEXT& VULKAN_HPP_NAMESPACE::DebugMarkerObjectTagInfoEXT::setObjectType | ( | DebugReportObjectTypeEXT | objectType_ | ) |

inline

Definition at line 29955 of file vulkan.hpp.

{
objectType = objectType_;
return *this;
}

## setPNext()

DebugMarkerObjectTagInfoEXT& VULKAN_HPP_NAMESPACE::DebugMarkerObjectTagInfoEXT::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 29949 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setPTag()

DebugMarkerObjectTagInfoEXT& VULKAN_HPP_NAMESPACE::DebugMarkerObjectTagInfoEXT::setPTag | ( | const void * | pTag_ | ) |

inline

Definition at line 29979 of file vulkan.hpp.

{
pTag = pTag_;
return *this;
}

References pTag.

## setTagName()

DebugMarkerObjectTagInfoEXT& VULKAN_HPP_NAMESPACE::DebugMarkerObjectTagInfoEXT::setTagName | ( | uint64_t | tagName_ | ) |

inline

Definition at line 29967 of file vulkan.hpp.

{
tagName = tagName_;
return *this;
}

References tagName.

## setTagSize()

DebugMarkerObjectTagInfoEXT& VULKAN_HPP_NAMESPACE::DebugMarkerObjectTagInfoEXT::setTagSize | ( | size_t | tagSize_ | ) |

inline

Definition at line 29973 of file vulkan.hpp.

{
tagSize = tagSize_;
return *this;
}

References tagSize.

## Field Documentation

## object

uint64_t VULKAN_HPP_NAMESPACE::DebugMarkerObjectTagInfoEXT::object

Definition at line 30017 of file vulkan.hpp.

Referenced by operator==().

## objectType

DebugReportObjectTypeEXT VULKAN_HPP_NAMESPACE::DebugMarkerObjectTagInfoEXT::objectType

Definition at line 30016 of file vulkan.hpp.

Referenced by operator==().

## pNext

const void* VULKAN_HPP_NAMESPACE::DebugMarkerObjectTagInfoEXT::pNext = nullptr

Definition at line 30015 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## pTag

const void* VULKAN_HPP_NAMESPACE::DebugMarkerObjectTagInfoEXT::pTag

Definition at line 30020 of file vulkan.hpp.

Referenced by operator==(), and setPTag().

## sType

StructureType VULKAN_HPP_NAMESPACE::DebugMarkerObjectTagInfoEXT::sType = StructureType::eDebugMarkerObjectTagInfoEXT

private

Definition at line 30012 of file vulkan.hpp.

Referenced by operator==().

## tagName

uint64_t VULKAN_HPP_NAMESPACE::DebugMarkerObjectTagInfoEXT::tagName

Definition at line 30018 of file vulkan.hpp.

Referenced by operator==(), and setTagName().

## tagSize

size_t VULKAN_HPP_NAMESPACE::DebugMarkerObjectTagInfoEXT::tagSize

Definition at line 30019 of file vulkan.hpp.

Referenced by operator==(), and setTagSize().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VkDebugMarkerObjectTagInfoEXT
Definition: vulkan_core.h:6312
VULKAN_HPP_NAMESPACE::DebugMarkerObjectTagInfoEXT::operator==
bool operator==(DebugMarkerObjectTagInfoEXT const &rhs) const
Definition: vulkan.hpp:29995
VULKAN_HPP_NAMESPACE::DebugMarkerObjectTagInfoEXT::tagSize
size_t tagSize
Definition: vulkan.hpp:30019
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::DebugMarkerObjectTagInfoEXT::objectType
DebugReportObjectTypeEXT objectType
Definition: vulkan.hpp:30016
VULKAN_HPP_NAMESPACE::DebugMarkerObjectTagInfoEXT::sType
StructureType sType
Definition: vulkan.hpp:30012
VULKAN_HPP_NAMESPACE::DebugMarkerObjectTagInfoEXT::object
uint64_t object
Definition: vulkan.hpp:30017
VULKAN_HPP_NAMESPACE::DebugMarkerObjectTagInfoEXT::pNext
const void * pNext
Definition: vulkan.hpp:30015
VULKAN_HPP_NAMESPACE::DebugMarkerObjectTagInfoEXT::tagName
uint64_t tagName
Definition: vulkan.hpp:30018
objectType
EGLenum objectType
Definition: eglext.h:128
VULKAN_HPP_NAMESPACE::DebugMarkerObjectTagInfoEXT::pTag
const void * pTag
Definition: vulkan.hpp:30020
VULKAN_HPP_NAMESPACE::DebugMarkerObjectTagInfoEXT::DebugMarkerObjectTagInfoEXT
DebugMarkerObjectTagInfoEXT(DebugReportObjectTypeEXT objectType_=DebugReportObjectTypeEXT::eUnknown, uint64_t object_=0, uint64_t tagName_=0, size_t tagSize_=0, const void *pTag_=nullptr)
Definition: vulkan.hpp:29926